新版本的Express
发布于 9 年前 作者 alexdotnet 3836 次浏览 最后一次编辑是 6 年前

新版本的 express 里面的 app.use(app.router); 不能用app.use(express.router(routes)) 替换嘛?

4 回复

那个版本?

3.x 不应该是 app.use(app.router) routes(app) 这样么…

我在之前的那个书上看到的… 然后我初次用!所以 不太清楚!

@alexdotnet 哪本书? Node.js 开发指南么,那本书是 Express.js 2.x 的,你Google下就会有很多讲那本书里关于 2.x 到 3.x 的变化了。

@phoenixlzx 嗯 后来又研究了下!改过来了!

回到顶部